%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Visual diff and merge tool
Name:		meld
Version:	3.16.4
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
URL:	http://meldmerge.org/
Group:	File tools
BuildRequires:	itstool
BuildRequires:	%{_lib}python-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	libxml2-utils
Requires: %{_lib}gtksourceview3.0_1
Requires: python-gobject3
Requires: patch
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: gtk-unico-engine >= 1.0.3

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.

%package        doc
Summary:        %{name} Documentation
Group:          Documentation
BuildArch:      noarch
Requires:		%name

%description    doc
This package contains documentation for %{name}.

%prep
%setup -q
%apply_patches

%build
python setup.py build

%install
python setup.py --no-update-icon-cache --no-compile-schemas install --root %{buildroot}

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK"\
	--add-category="X-MandrivaLinux-MoreApplications-Editors" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*/*/*/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{python_sitelib}/%{name}/*
%{python_sitelib}/%{name}-*-info
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%files doc
%{_mandir}
%{_datadir}/help

%changelog
* Fri Jun 02 2017 adrianomorselli <adrianomorselli> 3.16.4-1uplos2017
- update
